I am a graduate student in the [Department of Computer
Science](http://cis.upenn.edu) at the [University of
Pennsylvania](http://www.upenn.edu).  There, I am associated with the [Theory
Group](http://theory.cis.upenn.edu), the [PL
Club](http://www.cis.upenn.edu/~plclub/), and the [Privacy
Group](http://privacy.cis.upenn.edu).  I am very fortunate to be co-advised by
[Benjamin Pierce](http://cis.upenn.edu/~bcpierce) and [Aaron
Roth](http://cis.upenn.edu/~aaroth). 

## Research Interests ##
I spend my time thinking about questions in **verification**, **programming
languages**, and **algorithms**. My work has mostly centered on [**differential
privacy**](http://en.wikipedia.org/wiki/Differential_privacy), a rigorous
definition of privacy that is currently under extensive study.

From the verification side, I am interested in using formal methods---such as
[**type systems**](http://en.wikipedia.org/wiki/Type_system) and [**program
logics**](http://en.wikipedia.org/wiki/Hoare_logic)---to verify that programs are
differentially private. From the algorithms side, I am interested in
applications of differential privacy to optimization, machine learning, and
mechanism design.
